%define daemon_user monitor
%if 0%{?suse_version}
%define htmlroot /srv/www/htdocs
%define httpconfdir apache2/conf.d
%define daemon_group www
%define web_user wwwrun
%else
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%define web_user apache
%endif
Name: op5-sysnagios-extension
Version: 1.0.2
Release: op5.1
Vendor: op5 AB
License: op5 Software License
BuildRoot: %{_tmppath}/%{name}-%{version}
Summary: GUI extension for SysNagios
Group: op5/monitor
Prefix: /opt/monitor/op5/ninja
BuildArch: noarch
Requires: monitor-ninja
Requires: merlin
Requires: monitor-livestatus
BuildRequires: monitor-ninja
BuildRequires: merlin
BuildRequires: monitor-livestatus
Source: %name-%version.tar.gz

%description
GUI extension for SysNagios.
Note that this package is only supported for the customers that specifically have this extension in their support agreement.

%package test
Summary: Test files for op5-sysnagios-extension
Group: op5/monitor
Requires: op5-sysnagios-extension = %version
Requires: monitor-ninja
Requires: monitor-livestatus
Requires: merlin

%description test
Test suite for op5-sysnagios-extension

%prep
%setup -q

%install
mkdir -p %buildroot%prefix/modules
cp -r sysnagios/ %buildroot%prefix/modules
cp Makefile %buildroot%prefix/
cp -a test %buildroot%prefix/test

%post

%files
%defattr(664, %daemon_user, %daemon_group, 755)
%prefix/modules/sysnagios/

%exclude %prefix/test
%exclude %prefix/Makefile

%files test
%defattr(664, %daemon_user, %daemon_group, 755)
%prefix/test
%prefix/Makefile

%preun

%postun

%clean
rm -rf %buildroot
